Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79223 - php binary has missing symbols
Summary: php binary has missing symbols
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: php
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-08 04:55 UTC by Reuben Farrelly
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 09:37:36 UTC


Attachments (Terms of Use)

Description Reuben Farrelly 2002-12-08 04:55:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Upon execution of the command line PHP binary in php-4.2.2-9, messages about 
unresolved symbols are displayed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/php -h
2.
3.
	

Actual Results:  [root@tornado docs]# php -h       
Content-type: text/html

PHP Warning:  Unable to load dynamic library '/usr/lib/php4/mysql.so' -
 /usr/lib/php4/mysql.so: undefined symbol: core_globals_id in Unknown on line 0
PHP Warning:  Unable to load dynamic library '/usr/lib/php4/imap.so' -
 /usr/lib/php4/imap.so: undefined symbol: executor_globals_id in Unknown on 
line 0
PHP Warning:  Unable to load dynamic library '/usr/lib/php4/ldap.so' -
 /usr/lib/php4/ldap.so: undefined symbol: executor_globals_id in Unknown on 
line 0
Usage: php [-q] [-h] [-s [-v] [-i] [-f <file>] |  {<file> [args...]}
  -q             Quiet-mode.  Suppress HTTP Header output.
  -s             Display colour syntax highlighted source.
  -w             Display source with stripped comments and whitespace.
  -f <file>      Parse <file>.  Implies `-q'
  -v             Version number
  -C             Do not chdir to the script's directory
  -c <path>      Look for php.ini file in this directory
  -a             Run interactively
  -d foo[=bar]   Define INI entry foo with value 'bar'
  -e             Generate extended information for debugger/profiler
  -z <file>      Load Zend extension <file>.
  -l             Syntax check only (lint)
  -m             Show compiled in modules
  -i             PHP information
  -h             This help
[root@tornado docs]#

Expected Results:  [root@tornado docs]# php -h       
Content-type: text/html

Usage: php [-q] [-h] [-s [-v] [-i] [-f <file>] |  {<file> [args...]}
  -q             Quiet-mode.  Suppress HTTP Header output.
  -s             Display colour syntax highlighted source.
  -w             Display source with stripped comments and whitespace.
  -f <file>      Parse <file>.  Implies `-q'
  -v             Version number
  -C             Do not chdir to the script's directory
  -c <path>      Look for php.ini file in this directory
  -a             Run interactively
  -d foo[=bar]   Define INI entry foo with value 'bar'
  -e             Generate extended information for debugger/profiler
  -z <file>      Load Zend extension <file>.
  -l             Syntax check only (lint)
  -m             Show compiled in modules
  -i             PHP information
  -h             This help
[root@tornado docs]#

Additional info:

No dependency problems according to rpm

Also:

[root@tornado docs]# rpm -qa | grep -i php
php-mysql-4.2.2-9
php-imap-4.2.2-9
php-4.2.2-9
php-ldap-4.2.2-9
[root@tornado docs]

Comment 1 Joe Orton 2002-12-10 12:11:03 UTC
Thanks for the report - a patch got dropped in -9 which broke this - a fix is
forthcoming in -11.

Comment 2 Joe Orton 2002-12-19 09:37:36 UTC
Fixed in -11 and later when these hit Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.